<div class="infra-num-card mayor-kind">
  <dsfr-stepper
    [numberOfSteps]="3"
    [stepNumber]="2"
    stepTitle="Sélectionner votre administration locale"
    nextStepTitle="Valider l’adresse électronique">
  </dsfr-stepper>
  <hr>
  <form
    class="city-hall-form"
    [formGroup]="subscriptionForm"
    (ngSubmit)="onSubmit()">
    <h3 class="fr-h6">Votre mairie ou intercommunalité</h3>
    <dsfr-search-bar
      formControlName="locality"
      id="locality"
      label="Quelle est la mairie ou intercommunalité que vous représentez ?"
      hint="Écrivez le nom d’une ville ou un code postal, puis sélectionnez le bon résultat parmi les propositions."
      [hasSearchButton]="false"
      [autocomplete]="true"
      [displayNoResultMessage]="true">
    </dsfr-search-bar>
    <div class="card-buttons">
      <dsfr-button
        label="Précédent"
        [size]="buttonSize"
        [htmlType]="backButtonHtmlType"
        [type]="backButtonType" (click)="onBackButtonClicked()">
      </dsfr-button>
      <dsfr-button
        label="Valider"
        [size]="buttonSize"
        [htmlType]="submitButtonHtmlType"
        [disabled]="!subscriptionForm.valid">
      </dsfr-button>
    </div>
  </form>
</div>
